/* *************************** main.h ********************************
 Constants and structure definitions.
 ********************************************************************/

#define ID_FRAME 9989

/* Standard Dialog box ids */
#define FILEOPEN	2000
#define FILESAVE	2001
#define MSGBOXID       1001
#define OBJECTID	1002

/* Menu Item IDs (These must not conflict with CONTROL IDs used in dialogs and windows) */
#define IDM_FILE	   1000
#define IDM_FILENEW	 1005
#define IDM_FILEOPEN	 1010
#define IDM_FILESAVE	 1015
#define IDM_FILEADD	 1020
#define IDM_AUDIO	  1025

#define IDM_HELP	      9000
#define IDM_HELPUSINGHELP  9001
#define IDM_HELPGENERAL    9002
#define IDM_HELPKEYS	    9003
#define IDM_HELPPRODUCTINFO 9004
#define IDM_HELPINDEX	     9005

/* Stringtable IDs */
#define HELPTITLELEN	      20  /* How long I made IDS_HELPWINDOWTITLE string */
#define IDS_OPEN		0
#define IDS_SAVE		1
#define IDS_HELPWINDOWTITLE 2

/* Messagetable IDs */
#define IDMSG_INITFAILED		1
#define IDMSG_MAINWINCREATEFAILED   2
#define IDMSG_HELPLOADERROR	     3
#define IDMSG_CANNOTLOADSTRING	     4
#define IDMSG_CANNOTOPENGM	      5
#define IDMSG_HELPDISPLAYERROR	     6
#define IDMSG_CANNOTLOADEXITLIST     7
#define IDMSG_OVERWRITEFILE	       8
#define IDMSG_CANNOTGETMEMORY	     9
#define IDMSG_CANNOTREADFILE	      10
#define IDMSG_CANNOTWRITETOFILE      11

/* Scorecard */
#define MAXPLAYERS 1   /* maximum number of players */
#define CATAGORIES  13	/* # of catagories that each player needs to fill on a scorecard */
#define WIDTH 37	 /* # of pixels wide that each player's section of scorecard is */
#define BOARDLEFT 69

/* Misc */
#define DICE	   5	  /* number of dice on screen */
#define TURNS	  5	 /* the dice_vals[] array member holding turns variable */
#define BONUS	 62	/* number of points needed for upper bonus */

#define MESSAGELEN 50 /* max length for msgs */

/* Sounds */
#define SOUNDEFFS    6
#define AUDIO_ERROR 0
#define YAHSOUND     1
#define HAPPYSOUND  2
#define BOMBSOUND   3
#define DICEROLL      4
#define ENDSOUND     5
